/* Copyright (c) 1992 by NightShade Software.
 *
 * NAME
 *     WindowDepth : Layout
 *
 * DESCRIPTION
 *     A custom Preferences option for setting WindowDepthLimits.
 *
 * COMMENTS/PROBLEMS
 *     ---
 *
 * AUTHOR/DATE CREATED
 *     Gary Ritchie/November 24, 1992
 *
 * REVISIONS
 *     Tom Hageman, March 1999 
 */

#import <apps/Preferences.h>
#import <appkit/appkit.h>

@class DefaultsHandler;


@interface WindowDepth : Layout
{
    id window;
    id browserHelper;
    id infoPanel;
    
    id defaultRadio;
    id defaultSwitch;
    
    id appRadio;
    id appSwitch;

    id infoVersionTextField;

    DefaultsHandler *defaultsHandler;
}
  
- rescanPrefs:sender;
- itemSelected:sender;
- setDefault:sender;
- setApp:sender;

@end // WindowDepth
